Solid Edge Framework Type Library
UseNeutralFactorFromExcel Method
Specify Sheet metal Document.
Set as "True" if you want to turn ON Option 'Use Neutral Factor From Excel' else set as "False".
Description
This method is used to decide source of the Neutral Factor.
Syntax
Visual Basic
Public Sub UseNeutralFactorFromExcel( _
   ByVal pDocument As Object, _
   ByVal bUseNeutralFactorFromExcel As Boolean _
) 
Parameters
pDocument
Specify Sheet metal Document.
bUseNeutralFactorFromExcel
Set as "True" if you want to turn ON Option 'Use Neutral Factor From Excel' else set as "False".
Example
Imports System.Runtime.InteropServices

Public Class Form1

    '#region UseNeutralFactorFromExcel
    Private Sub UseNeutralFactorFromExcel_Click(sender As Object, e As EventArgs) Handles UseNeutralFactorFromExcel.Click
        Dim objApplication As SolidEdgeFramework.Application = Nothing
        Dim objSMDoc As SolidEdgePart.SheetMetalDocument = Nothing
        Dim myMatTable As SolidEdgeFramework.MatTable = Nothing
        Dim bUseNFValueFromExcel As Boolean = True

        Try
            objApplication = Marshal.GetActiveObject("SolidEdge.Application")
            ' Get the material table object from the application
            myMatTable = objApplication.GetMaterialTable()

            objSMDoc = objApplication.ActiveDocument
            If (objSMDoc Is Nothing) Then
                MsgBox("Failed to get Sheet Metal Document object.")
            End If

            MsgBox("Turning ON Option 'Use Neutral Factor From Excel'!")
            Call myMatTable.UseNeutralFactorFromExcel(objSMDoc, bUseNFValueFromExcel)

        Catch ex As Exception
            MsgBox(ex.ToString)
        End Try
    End Sub
 End Class
using System;
using System.Windows.Forms;
using System.Runtime.InteropServices;

public class Form1
{


    private void UseNeutralFactorFromExcel_Click(object sender, EventArgs e)
    {
        SolidEdgeFramework.Application objApplication = null;
        SolidEdgePart.SheetMetalDocument objSMDoc = null;
        SolidEdgeFramework.MatTable myMatTable = null;
        bool bUseNFValueFromExcel = true;

        try
        {
            objApplication = (SolidEdgeFramework.Application)Marshal.GetActiveObject("SolidEdge.Application");
            // Get the material table object from the application
            myMatTable = objApplication.GetMaterialTable();

            objSMDoc = objApplication.ActiveDocument;
            if (objSMDoc == null)
            {
                MessageBox.Show("Failed to get Sheet Metal Document object.");
            }

            MessageBox.Show("Turning ON Option 'Use Neutral Factor From Excel'!");
            myMatTable.UseNeutralFactorFromExcel(objSMDoc, bUseNFValueFromExcel);

        }
        catch (Exception ex)
        {
            MessageBox.Show(ex.ToString());
        }
    }
 }
See Also

MatTable Object  | MatTable Members